Bug 593804 - Review Request: plasma-runner-events - Add new events or todos to your calendar from KRunner
Summary: Review Request: plasma-runner-events - Add new events or todos to your calen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Magnus Tuominen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 18:12 UTC by Thomas Janssen
Modified: 2010-07-05 22:05 UTC (History)
3 users (show)

Fixed In Version: plasma-runner-events-0.3.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-05 22:01:07 UTC
Type: ---
magnus.tuominen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2010-05-19 18:12:08 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/plasma-runner-events.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/plasma-runner-events-0.3.0-1.fc12.src.rpm
Description: 
This is Plasma Runner plug-in, which provides you ability to add new events or 
todos to your calendar from KRunner (Alt+F2). With this runner you may enter 
into KRunner something like following:

* `event Project deadline; 13.02.2010` - create new event 
  with summary \"Project deadline\" for 13.02.2010;
* `todo Complete my work; tomorrow 12:30; Business` - create todo with 
  given summary and deadline date time with category "Business";
* `event Travel to mountains; from yesterday to 31.02.2010; Travel` - create 
  event with given time range and category;
* `event Something; 13:30` - something at 13:30 today;
* `event Other event; yesterday`
* `event Meeting; today from 12:00 to 14:00`
* `todo Buy new phone; in 2 years`
* `todo Complete site design; in 2 days from 10:30`
* And others...

Besides of incident creation you may update existing incidences in some ways:

* `complete Buy new phone` - mark selected task as completed!
* `complete Fix localization issues; 30` - set task as 30%-completed;
* `comment Birthday party; It was cool!` - append some text to task description

Now following date/time specifications are available:

* `today`
* `yesteday`
* `tomorrow`
* `now`
* Time format - `h:m`
* Date format - `d.M.yyyy`
* `in 2 minutes/hours [after ...]`
* `in 10 days/weeks/months/years [after ...]`
* `from ... to ...`

You can specify event categories as third argument like in KOrganizer:

* `Business`
* `Education:Exam`
* `Travel, Holiday`

ScratchBuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=2197577

[thomas@tusdell SPECS]$ rpmlint plasma-runner-events.spec ../SRPMS/plasma-runner-events-0.3.0-1.fc12.src.rpm ../RPMS/x86_64/plasma-runner-events-*
plasma-runner-events.src: W: spelling-error Summary(en_US) todos -> dodos, to dos, to-dos
plasma-runner-events.src: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
plasma-runner-events.src: W: spelling-error %description -l en_US todo -> too, dodo, to do
plasma-runner-events.x86_64: W: spelling-error Summary(en_US) todos -> dodos, to dos, to-dos
plasma-runner-events.x86_64: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
plasma-runner-events.x86_64: W: spelling-error %description -l en_US todo -> too, dodo, to do
3 packages and 1 specfiles checked; 0 errors, 6 warnings.

Comment 2 Magnus Tuominen 2010-06-29 07:53:54 UTC
I'll have a look.

Comment 3 Magnus Tuominen 2010-06-29 09:38:44 UTC
Here's my review.

####

+ MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint -iv plasma-runner-events-*
plasma-runner-events.src: I: checking
plasma-runner-events.src: W: spelling-error Summary(en_US) todos -> dodos, to dos, to-dos
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.src: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.src: W: spelling-error %description -l en_US todo -> tod, too, dodo
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.src: I: checking-url http://kde-apps.org/content/show.php?action=content&content=118854 (timeout 10 seconds)
plasma-runner-events.src: I: checking-url http://github.com/alno/plasma-runner-events/tarball/0.3.0/alno-plasma-runner-events-0.3.0-0-g63c5e34.tar.gz (timeout 10 seconds)
plasma-runner-events.x86_64: I: checking
plasma-runner-events.x86_64: W: spelling-error Summary(en_US) todos -> dodos, to dos, to-dos
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.x86_64: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.x86_64: W: spelling-error %description -l en_US todo -> tod, too, dodo
The value of this tag appears to be misspelled. Please double-check.

plasma-runner-events.x86_64: I: checking-url http://kde-apps.org/content/show.php?action=content&content=118854 (timeout 10 seconds)
plasma-runner-events-debuginfo.x86_64: I: checking
plasma-runner-events-debuginfo.x86_64: I: checking-url http://kde-apps.org/content/show.php?action=content&content=118854 (timeout 10 seconds)
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

todo is a strange word, nothing to worry about.


+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
? MUST: The License field in the package spec file must match the actual license.

Source says GPLv3, but About says GPLv2 and spec says GPLv3+


+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

rpm: bfec9699563a5040bd46c8cd7f8d9b37
upstream: bfec9699563a5040bd46c8cd7f8d9b37
matches.


+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

tested fc13.i386 & fc13.x86_64


+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+ MUST: The spec file MUST hande locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
+ MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries.
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
+ MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
? MUST: Each package must consistently use macros.

Why not use 
Source0: http://github.com/alno/%{name}/tarball/%{version}/alno-%{name}-%{version}-0-g63c5e34.tar.gz
and
%setup -q -n alno-%{name}-63c5e34
%{_kde4_libdir}/kde4/%{name}.so
Just a suggestion, not a must.


+ MUST: The package must contain code, or permissable content.
+ MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+ MUST: Header files must be in a -devel package.
+ MUST: Static libraries must be in a -static package.
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
+ MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+ MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+ MUST: All filenames in rpm packages must be valid UTF-8.



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

+ SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
+ SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
+ SHOULD: The reviewer should test that the package builds in mock.
* SHOULD: The package should compile and build into binary rpms on all supported architectures.
+ SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Requires configuration of Akonadi to point at ~/.kde/share/apps/korganizer/std.ics for the Personal Calendar, otherwise it will not work.


+ SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
+ SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
+ SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
+ SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
+ SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

##EOF

Looks pretty good. Just some minor questions.

Comment 4 Thomas Janssen 2010-06-29 20:41:34 UTC
Hi Magnus, thanks for the review!

License comes from the source:

/*
 *   Copyright (C) 2010 Alexey Noskov <alexey.noskov@gmail.com>
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License or (at your option) version 3 or any later version

Makes it up to v3+

I made better use of macros but not for the *.so. It's annoying if upstream decides to change something in the name of the .so and it fails build. With the wildcard i'm able to catch them all.

http://thomasj.fedorapeople.org/reviews/plasma-runner-events.spec
http://thomasj.fedorapeople.org/reviews/plasma-runner-events-0.3.0-3.fc13.src.rpm

rpmlint plasma-runner-events.spec ../SRPMS/plasma-runner-events-0.3.0-3.fc13.src.rpm ../RPMS/x86_64/plasma-runner-events-*-0.3.0-3*
plasma-runner-events.src: W: spelling-error Summary(en_US) todos -> dodos, to dos, to-dos
plasma-runner-events.src: W: spelling-error %description -l en_US todos -> dodos, to dos, to-dos
plasma-runner-events.src: W: spelling-error %description -l en_US todo -> tod, too, dodo
2 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 5 Magnus Tuominen 2010-06-30 06:52:45 UTC
Approved!

Comment 6 Thomas Janssen 2010-06-30 11:53:18 UTC
New Package CVS Request
=======================
Package Name: plasma-runner-events
Short Description: Add new events or todos to your calendar from KRunner
Owners: thomasj
Branches: F-12 F-13
InitialCC:

Comment 7 Jason Tibbitts 2010-07-01 04:52:43 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-07-01 16:33:41 UTC
plasma-runner-events-0.3.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/plasma-runner-events-0.3.0-3.fc13

Comment 9 Fedora Update System 2010-07-01 16:33:46 UTC
plasma-runner-events-0.3.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/plasma-runner-events-0.3.0-3.fc12

Comment 10 Fedora Update System 2010-07-05 22:01:02 UTC
plasma-runner-events-0.3.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-07-05 22:05:33 UTC
plasma-runner-events-0.3.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.